﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;
using Infragistics.Controls.Charts;
using Infragistics.Extension;

namespace CustomChartSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public static readonly DependencyProperty DataListProperty = DependencyProperty.Register(
            "DataList", typeof (DataList), typeof (MainWindow), new PropertyMetadata(default(DataList)));

        public DataList DataList
        {
            get { return (DataList) GetValue(DataListProperty); }
            set { SetValue(DataListProperty, value); }
        }

        public MainWindow()
        {
            InitializeComponent();

            // Dynamic data
            new DispatcherTimer(TimeSpan.FromSeconds(1), DispatcherPriority.Normal, Callback, Dispatcher.CurrentDispatcher);
        }

        
        private void Callback(object sender, EventArgs e)
        {
            this.DataList = null;
            this.DataList = new DataSample();
        }
    }
}
